package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 企业信用评级
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
@TableName("enterprise_credit_rating")
public class EnterpriseCreditRating {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 企业名称
     */
    @TableField("name")
    private String name;

    /**
     * 最新长期评级
     */
    @TableField("level")
    private String level;

    /**
     * 评级展望
     */
    @TableField("rating_outlook")
    private String ratingOutlook;

    /**
     * 评级调整
     */
    @TableField("rating_adjustment")
    private String ratingAdjustment;

    /**
     * 评级机构
     */
    @TableField("rating_agency")
    private String ratingAgency;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
    public String getRatingOutlook() {
        return ratingOutlook;
    }

    public void setRatingOutlook(String ratingOutlook) {
        this.ratingOutlook = ratingOutlook;
    }
    public String getRatingAdjustment() {
        return ratingAdjustment;
    }

    public void setRatingAdjustment(String ratingAdjustment) {
        this.ratingAdjustment = ratingAdjustment;
    }
    public String getRatingAgency() {
        return ratingAgency;
    }

    public void setRatingAgency(String ratingAgency) {
        this.ratingAgency = ratingAgency;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "EnterpriseCreditRating{" +
            "name=" + name +
            ", level=" + level +
            ", ratingOutlook=" + ratingOutlook +
            ", ratingAdjustment=" + ratingAdjustment +
            ", ratingAgency=" + ratingAgency +
        "}";
    }
}
